Create Refund Quote
Calculate the tax amount, total refund amount and get available payment options for an order refund by providing items and costs or quantities to refund.
Requires at least one of the following scopes:
* `store_v2_orders`
* `store_v2_transactions`
**Notes:**
* Create a refund quote before performing a refund request to best avoid a `422` error. Check the refund quote's response body for the `refund_methods` array. The `amount` given in the array must match the `amount` used in the refund request body.
* Order refunds should be processed sequentially. Processing multiple concurrent refunds on the same order is not yet supported.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` |
| Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` |
| Orders | read and modify `payment_methods` |`store_v2_orders`|
| Orders | read `payment_methods` |`store_v2_orders_read_only`|
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
order_id
Request
This endpoint expects an object.
Items Refund
OR
Tax Adjustment Refund
Response
data
meta
Response metadata.
Errors
422
Unprocessable Entity Error